Bug 1789838 - deprecate ostree and puppet types
Summary: deprecate ostree and puppet types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API - Content
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: Jitendra Yejare
URL:
Whiteboard:
: 1789835 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 14:27 UTC by Justin Sherrill
Modified: 2020-04-14 13:28 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.20.2.3-1
Doc Type: Deprecated Functionality
Doc Text:
The following management operations of OSTree and Puppet content types are deprecated and will be removed in a future release: * Creating OSTree and Puppet repositories * Synchronizing OSTree and Puppet repositories * Adding repositories of OSTree and Puppet content types to Content View. * Publishing and promoting the Content Views containing repositories of OSTree and Puppet content types across life cycle environments.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28074 Normal Closed deprecate ostree and puppet types 2020-09-25 08:45:23 UTC
Foreman Issue Tracker 28873 Normal Closed deprecate ostree and puppet types 2020-09-25 08:45:28 UTC
Foreman Issue Tracker 28908 Normal Closed deprecate ostree and puppet types 2020-09-25 08:45:23 UTC
Github Katello hammer-cli-katello pull 722 None closed Fixes #28908 - Add pulp3 dep warning to repo create 2020-09-25 08:45:28 UTC
Github Katello katello pull 8385 None closed Fixes #28074 - Add deprecate to api/ui for puppet/ostree repos 2020-09-25 08:45:24 UTC
Github Katello katello pull 8543 None closed Fixes #28873 - Add puppet/ostree dep warn to API 2020-09-25 08:45:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:44 UTC

Description Justin Sherrill 2020-01-10 14:27:11 UTC
deprecate ostree and puppet types to prepare for Pulp 3 only

Comment 1 Justin Sherrill 2020-01-10 14:27:14 UTC
Created from redmine issue https://projects.theforeman.org/issues/28074

Comment 2 Justin Sherrill 2020-01-10 14:27:17 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 4 Justin Sherrill 2020-01-10 14:30:02 UTC
*** Bug 1789835 has been marked as a duplicate of this bug. ***

Comment 7 Bryan Kearney 2020-01-29 17:06:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28074 has been resolved.

Comment 21 errata-xmlrpc 2020-04-14 13:28:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.